org.apache.tinkerpop.gremlin.structure.util.star

## Class StarGraph.StarGraphFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarGraphFeatures

- All Implemented Interfaces:
    Graph.Features
  Enclosing class:
    StarGraph

      public static class StarGraph.StarGraphFeatures
      extends Object
      implements Graph.Features

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features

      `Graph.Features.DataTypeFeatures, Graph.Features.EdgeFeatures, Graph.Features.EdgePropertyFeatures, Graph.Features.ElementFeatures, Graph.Features.FeatureSet, Graph.Features.GraphFeatures, Graph.Features.PropertyFeatures, Graph.Features.VariableFeatures, Graph.Features.VertexFeatures, Graph.Features.VertexPropertyFeatures`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StarGraph.StarGraphFeatures` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Graph.Features.EdgeFeatures` | `edge()` Gets the features related to "edge" operation.
    `Graph.Features.GraphFeatures` | `graph()` Gets the features related to "graph" operation.
    `String` | `toString()`
    `Graph.Features.VertexFeatures` | `vertex()` Gets the features related to "vertex" operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features

      `supports`

- - ### Field Detail

    - #### INSTANCE

          public static final StarGraph.StarGraphFeatures INSTANCE

  - ### Method Detail

    - #### graph

          public Graph.Features.GraphFeatures graph()

      Description copied from interface: `Graph.Features`
      Gets the features related to "graph" operation.
      Specified by:
        `graph` in interface `Graph.Features`

    - #### edge

          public Graph.Features.EdgeFeatures edge()

      Description copied from interface: `Graph.Features`
      Gets the features related to "edge" operation.
      Specified by:
        `edge` in interface `Graph.Features`

    - #### vertex

          public Graph.Features.VertexFeatures vertex()

      Description copied from interface: `Graph.Features`
      Gets the features related to "vertex" operation.
      Specified by:
        `vertex` in interface `Graph.Features`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.